Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.gui
Class ZoomRasterImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.gui.ZoomRasterImpl

public class ZoomRasterImpl
extends BaseImpl
implements Raster, RasterS, ZoomRasterS, ZoomRaster

A zoomable Raster.. ZoomRaster is a subclass of Raster that implements a zoomable image. It handles translation between logical coordinates and screen coordinates.

Constructor Summary
`ZoomRasterImpl()`
`ZoomRasterImpl(Zone aZone)` The create: message creates a new instance of a type with default options.
`ZoomRasterImpl(Zone aZone, java.lang.String name)`

Methods implemented by this class for interface swarm.gui.Raster
`draw$X$Y, drawPointX$Y$Color, drawSelf, ellipseX0$Y0$X1$Y1$Width$Color, erase, fillRectangleX0$Y0$X1$Y1$Color, lineX0$Y0$X1$Y1$Width$Color, rectangleX0$Y0$X1$Y1$Width$Color, setButton$Client$Message, setColormap`

Methods implemented by this class for interface swarm.gui.ZoomRaster
`decreaseZoom, fillCenteredRectangleX0$Y0$X1$Y1$Color, getZoomFactor, handleConfigureWidth$Height, increaseZoom, setZoomFactor`

Methods implemented by this class for interface swarm.gui.ArchivedGeometryWidget
`updateArchiver`

Methods implemented by this class for interface swarm.gui.Widget
`disableDestroyNotification, enableDestroyNotification$notificationMethod, getDestroyedFlag, getHeight, getParent, getTopLevel, getWidgetName, getWidth, getWindowGeometry, getX, getY, pack, packBeforeAndFillLeft$expand, packFill, packFillLeft, packForgetAndExpand, packToRight, setActiveFlag, setHeight, setWidth, setWidth$Height, setWindowGeometry, setWindowTitle, setX$Y`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZoomRasterImpl

    public ZoomRasterImpl()

### ZoomRasterImpl

    public ZoomRasterImpl(Zone aZone,
                          java.lang.String name)

### ZoomRasterImpl

    public ZoomRasterImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD